WSSCP(1)

NAME
wsscp - WebSocket SCP wrapper for secure file transfer

SYNOPSIS
wsscp [--local-port PORT] [--debug] [--help] [SCP_OPTIONS...] SOURCE... DESTINATION

DESCRIPTION
wsscp is a wrapper around the standard SCP client that enables secure file transfer through WebSocket connections. It automatically establishes tunnels to registered clients and handles file transfers transparently.

OPTIONS

--local-port PORT
    Local port for tunnel establishment (default: auto-assign)

--debug
    Enable debug output for troubleshooting

--help
    Display help message and exit

HOSTNAME FORMAT
Hostnames in source/destination paths follow the format: [user@]client_id.wssshd_host[:port]

Examples:
    - user@remote.example.com:/path/file → client: remote, server: example.com:22 - server.datacenter.com:9898/file → client: server, server: datacenter.com:9898

EXAMPLES

Copy file to remote:
    wsscp -P 9898 localfile user@myclient.example.com:/remote/path/

Copy file from remote:
    wsscp -P 9898 user@myclient.example.com:/remote/file ./localfile

Copy directory recursively:
    wsscp -P 9898 -r localdir user@myclient.example.com:/remote/

Copy with debug output:
    wsscp --debug -P 2222 file.txt user@remote.example.com:~/downloads/

SCP OPTIONS
All standard SCP options are supported. The port option (-P) specifies the wssshd server port, not the target SSH port.

ENVIRONMENT

WSSCP_DEBUG
    Set to 1 to enable debug output (alternative to --debug)

SECURITY
File transfers are secured through SSL/TLS encrypted WebSocket tunnels. All data in transit is protected by the tunnel encryption.

EXIT STATUS
wsscp returns the exit status of the underlying SCP command.

SEE ALSO
scp(1), wssshd(1), wssshc(1), wsssh(1)

AUTHOR
Written by Stefy Lanza <stefy@nexlab.net>

COPYRIGHT
Copyright © 2024 Stefy Lanza and SexHack.me. License GPLv3+: GNU GPL version 3 or later <https://gnu.org/licenses/gpl.html>.

BUGS
Report bugs to: https://git.nexlab.net/nexlab/wsssh/issues